// DerivativeBlockDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DiagramEng.h"
#include "DerivativeBlockDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDerivativeBlockDialog dialog


CDerivativeBlockDialog::CDerivativeBlockDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDerivativeBlockDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDerivativeBlockDialog)
	m_iDerivativeMethod = -1;
	//}}AFX_DATA_INIT
}


void CDerivativeBlockDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDerivativeBlockDialog)
	DDX_Radio(pDX, ID_DERIVATIVE_BLK_DLG_RBTN3PT, m_iDerivativeMethod);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDerivativeBlockDialog, CDialog)
	//{{AFX_MSG_MAP(CDerivativeBlockDialog)
	ON_BN_CLICKED(ID_DERIVATIVE_BLK_DLG_BTN_OK, OnDerivativeBlkDlgBtnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDerivativeBlockDialog message handlers

void CDerivativeBlockDialog::OnDerivativeBlkDlgBtnOk() 
{
	// TODO: Add your control notification handler code here
	// DiagramEng (start)

	//AfxMessageBox("\n CDerivativeBlockDialog::OnDerivativeBlkDlgBtnOk()\n", MB_OK, 0);
	
	// Update variable values with the Dlg Wnd control values
	UpdateData(TRUE);

	// Close the dialog wnd with OnOK()
	OnOK();

	// DiagramEng (end)
}

